import { ElementRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import { SelectOption } from './ae-select/ae-select.component';
import { AngularEditorService } from './angular-editor.service';
import { CustomButton, CustomClass } from './config';
import * as i0 from "@angular/core";
export declare class AngularEditorToolbarComponent implements OnInit {
    private r;
    private editorService;
    private doc;
    nativeElement: HTMLElement;
    textColorToggle: boolean;
    textColor: string;
    backgroundColorToggle: boolean;
    backgroundColor: string;
    htmlMode: boolean;
    linkSelected: boolean;
    variableName?: string;
    variableNode?: Node;
    block: string;
    fontName: string;
    fontSize: string;
    foreColour: any;
    backColor: any;
    variables: SelectOption[];
    headings: SelectOption[];
    fontSizes: SelectOption[];
    customClassId: string;
    _customClasses: CustomClass[];
    customClassList: SelectOption[];
    tagMap: {
        BLOCKQUOTE: string;
        A: string;
    };
    select: string[];
    buttons: string[];
    activeButtons: string[];
    id: string;
    uploadUrl: string;
    showToolbar: boolean;
    fonts: SelectOption[];
    toolbarBgClass: string;
    toolbarBtnClass: string;
    customButtons: CustomButton[];
    set customClasses(classes: CustomClass[]);
    set defaultFontName(value: string);
    set defaultFontSize(value: string);
    hiddenButtons: string[][];
    execute: EventEmitter<string>;
    myInputFile: ElementRef;
    get isLinkButtonDisabled(): boolean;
    constructor(r: Renderer2, editorService: AngularEditorService, doc: any, elementRef: ElementRef<HTMLElement>);
    ngOnInit(): void;
    /**
     * Trigger command from editor header buttons
     * @param command string from toolbar buttons
     */
    triggerCommand(command: string): void;
    /**
     * highlight editor buttons when cursor moved or positioning
     */
    triggerButtons(): void;
    /**
     * trigger highlight editor buttons when cursor moved or positioning in block
     */
    triggerBlocks(nodes: Node[]): void;
    insertVariable(selectValue: string): void;
    /**
     * insert URL link
     */
    insertUrl(): void;
    /**
     * insert Video link
     */
    insertVideo(): void;
    /** insert color */
    insertColor(color: string, where: string): void;
    /**
     * set font Name/family
     * @param foreColor string
     */
    setFontName(foreColor: string): void;
    /**
     * set font Size
     * @param fontSize string
     */
    setFontSize(fontSize: string): void;
    /**
     * toggle editor mode (WYSIWYG or SOURCE)
     * @param m boolean
     */
    setEditorMode(m: boolean): void;
    /**
     * Upload image when file is selected
     */
    onFileChanged(event: any): void;
    /**
     * Set custom class
     */
    setCustomClass(classId: string): void;
    isButtonHidden(name: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularEditorToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularEditorToolbarComponent, "angular-editor-toolbar", never, { "id": "id"; "uploadUrl": "uploadUrl"; "showToolbar": "showToolbar"; "fonts": "fonts"; "toolbarBgClass": "toolbarBgClass"; "toolbarBtnClass": "toolbarBtnClass"; "customButtons": "customButtons"; "customClasses": "customClasses"; "defaultFontName": "defaultFontName"; "defaultFontSize": "defaultFontSize"; "hiddenButtons": "hiddenButtons"; }, { "execute": "execute"; }, never, never>;
}
